import React,{ useState, useEffect } from 'react';
import 'jquery/dist/jquery.min.js'
import 'bootstrap/dist/js/bootstrap.min.js'
import Whatsapp from '../../Assets/whatsapp-new.png'
import Phone from '../../Assets/phone.png'
import Telegram from '../../Assets/telegram-new.png'
import UserIcon from '../../Assets/userIcon.png'
import WalletIcon from '../../Assets/walletIcon.png'
import { NavLink , useLocation } from 'react-router-dom';
import '../../css/Home.scss';
import helper from '../../Helper/function';        
const CryptoJS = require('crypto-js');
import DoubleArrowIcon from '@material-ui/icons/DoubleArrow';
import StarLineIcon from '../../Assets/StarLineIcon.png'         

function Bottomitem() {
    const location = useLocation();
    let profileSessionData = sessionStorage.getItem('profileDataUser')
    const UserShowData = JSON.parse(profileSessionData);
    let sessionData = sessionStorage.getItem('userProfileData');
    const reqSessionData = JSON.parse(sessionData);
    var mykey = reqSessionData.resKey.match(/.{1,8}/g)
    var myKey1 = helper.changeAlphaString(mykey[1], -3)
    var myKey2 = helper.changeAlphaString(mykey[3], -3)
    var original_key = mykey[0] + myKey1 + mykey[2] + myKey2
    const userData = helper.EncrptDecryptApiData(reqSessionData.resData, original_key, 2);
    const [token, setToken] = useState(reqSessionData.unique_token)
    const [homed, sethomeda] = useState([]);
    const[BettingStatus,SetBettingStatus] = useState('');
    const [MobileNumber,setMobileNumber] = useState('');
    const [WhatsAppMobileNumber,setWhatsAppMobileNumber] = useState('');
    const [TelegramLink,setTelegramLink] = useState('');
    const [UserName , setUserName] = useState('');
    const [marquee , setMarquee] = useState('');
    // let betting_status =  (JSON.parse(userData)).betting_status == undefined ? JSON.parse(JSON.parse(userData)).betting_status :JSON.parse(userData).betting_status


    const SocialData = async (e) => {
        e.preventDefault();
    
        try {
          const data = { env_type: 1 }
          const encKey = helper.randomString(32);
          var mykey = encKey.match(/.{1,8}/g)
          var myKey1 = helper.changeAlphaString(mykey[1], -3)
          var myKey2 = helper.changeAlphaString(mykey[3], -3)
          var original_key = mykey[0] + myKey1 + mykey[2] + myKey2
          const reqdata = helper.EncrptDecryptApiData(data, encKey, 1);
          const getSocialData = `{"reqdata" : "${reqdata}","reqkey":"${original_key}"}`
          let result = await fetch(process.env.APIURL + "/get-social-data", {
            method: 'POST',
            headers: {
              "Content-Type": "application/json",
              "Accept": "application/json",
              "Origin": process.env.BASEURL
            },
            body: getSocialData
          });
    
          const actualData = await result.json();
          if (actualData.status == true) {
            const responseData = actualData.resData;
            const responseKey = actualData.resKey;
            const socialData = { responseData, responseKey }
            var mykey = responseKey.match(/.{1,8}/g)
            var myKey1 = helper.changeAlphaString(mykey[1], -3)
            var myKey2 = helper.changeAlphaString(mykey[3], -3)
            var original_key = mykey[0] + myKey1 + mykey[2] + myKey2
            const walletBalances = helper.EncrptDecryptApiData(responseData, original_key, 2);
            setMobileNumber((JSON.parse(walletBalances)).mobile_number);
            setMarquee((JSON.parse(walletBalances))?.marquee_text);
            setTelegramLink((JSON.parse(walletBalances)).telegram_mobile);
            setWhatsAppMobileNumber((JSON.parse(walletBalances)).whatsapp_number);

          } else {
            return false;
          }
        } catch (err) {
          console.log("Your Error is", err);
        }
      }
    
    const gethomedata = async () => {
        try {
            const data = { env_type: 1, unique_token: token, registered:1 }
            const encKey = helper.randomString(32);
            var mykey = encKey.match(/.{1,8}/g)
            var myKey1 = helper.changeAlphaString(mykey[1], -3)
            var myKey2 = helper.changeAlphaString(mykey[3], -3)
            var original_key = mykey[0] + myKey1 + mykey[2] + myKey2

            const reqdata = helper.EncrptDecryptApiData(data, encKey, 1);
            const homedata = `{"reqdata" : "${reqdata}","reqkey":"${original_key}"}`
            let homedatas = await fetch(process.env.APIURL + "/get-home-data", {
                method: 'POST',
                headers: {
                    "Content-Type": "application/json",
                    "Accept": "application/json",
                    "Origin": process.env.BASEURL
                },
                body: homedata
            });
            const actualData = await homedatas.json();
            const responseData = actualData.resData;
            const responseKey = actualData.resKey;
            var mykey = responseKey.match(/.{1,8}/g)
            var myKey1 = helper.changeAlphaString(mykey[1], -3)
            var myKey2 = helper.changeAlphaString(mykey[3], -3)
            var original_key = mykey[0] + myKey1 + mykey[2] + myKey2
            const homeactualdata = helper.EncrptDecryptApiData(responseData, original_key, 2);
            if(JSON.parse(homeactualdata).maintainence_status==1){
                    navigate(`/${process.env.USER}/maintainence`, { replace: true })
            }
            const encrypted = CryptoJS.AES.encrypt(""+JSON.parse(homeactualdata).betting_status, "testkey");
            sessionStorage.setItem("beSession1skYjglUo2363gdC",encrypted.toString())
            SetBettingStatus(JSON.parse(homeactualdata).betting_status)
            sethomeda((JSON.parse(homeactualdata)));
            setUserName((JSON.parse(homeactualdata).username));
        } catch (err) {
            console.log("Your Error is", err);
        }
    }
    useEffect(() => {
        gethomedata();
    }, []);

    return (
        <>
            <div className="col-sm-6 m-auto p-1 responsive" onLoad={SocialData}>
                <div className='col-sm-12'>
                    <div className="card ad-info-card mt-2 border-0 card-radius">         
                        <div className="card-body dd-flex align-items-center p-d-17 bg_card1">
                            <div className="icon-info-text row rows icons-white">
                            <button type="button" className="btn btn-dark buttons button-desgin col-sm-3 mt-1 "><a className='NavLink d-flex' href={`https://api.whatsapp.com/send?phone=${WhatsAppMobileNumber==undefined?"":WhatsAppMobileNumber}`} target="_blank"  ><img className="icon-images " src={Whatsapp} /><span className='media'>{WhatsAppMobileNumber}</span></a></button>
                            <button type="button" className="btn btn-success buttons button-desgin col-sm-3 mt-1" style={{ backgroundColor: "#049104" }}><a href={`tel:${MobileNumber==undefined?"":MobileNumber}`} target="_blank" className='d-flex' ><img className="icon-images" src={Phone} /><span>{homed.mobile_number}</span></a></button>
                            <button type="button" className="btn btn-primary buttons button-desgin col-sm-3 mt-1" style={{ backgroundColor: "#1087b8" }}><a className="NavLink d-flex" href={`https://t.me/${TelegramLink}`} target="_blank"><img className="icon-images" src={Telegram} /><span>{homed.telegram_mobile}</span></a></button>
                            </div>
                        </div>
                        <div className="card-body dd-flex align-items-center p-d-17 bg_card2">
                            <div className="icon-info-text row icons-white">
                                {(BettingStatus != 0)?
                                <>
                                <div className="col-6 d-flex data1  justify-content-center align-items-center ">
                                    <NavLink to={`/${process.env.USER}/starline`} className="NavLink" exact><button type="button" style={{ width: "100%", marginRight: "5px" }} className=" playline btn btn-outline-warning button-desgin h-75 d-flex justify-content-center text-center align-items-center"><span className="mt-1">PLAY STARLINE</span><span><img className="icon-images "style={{ width:"20px" ,height:"20px"}} src={StarLineIcon} /></span></button></NavLink>
                                </div>
                                <div className="col-6 data2 d-flex justify-content-center align-items-center ">
                                    <NavLink to={`/${process.env.USER}/gali`} className="NavLink" exact><button type="button" style={{ width: "100%", marginRight: "5px" }} className=" playline btn btn-outline-warning button-desgin h-75 d-flex justify-content-center text-center align-items-center"><span className="mt-1">GALI DISAWAR</span><span><DoubleArrowIcon /></span></button></NavLink>
                                </div>
                                </>
                                :<></>
                                }
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="card-new col-sm-6 m-auto p-1 responsive marquee-home" style={{margin:"5px !important"}}>
                <div class="rightTI li">{marquee==undefined?"★Marquue Api Text ★":marquee}</div>         
            </div>
            {/* <div class="rightTI li col-sm-6 m-auto p-1 responsive">{marquee==undefined?"★Marquue Api Text ★":marquee}</div> */}

        </>
    );
}
export default Bottomitem;