import React, { useState, useEffect } from 'react'
import './css/mystyle.scss'
import './js/jquery-3.2.1.slim.min.js'
import jakport from '../../../Assets/images/jaqport-bg.jpg';
import slider from '../../../Assets/images/slider-1252.jpg';
import bg2 from '../../../Assets/images/bg2.jpg';
import games from '../../../Assets/images/games.png';
import lock from '../../../Assets/images/lock-padlock-symbol-for-security-interface.png';
import download from '../../../Assets/images/download-to-storage-drive.png';
import next from '../../../Assets/images/next.png';
import menu from '../../../Assets/images/menu (1).png';
import call from '../../../Assets/images/call.png';
import play from '../../../Assets/images/play-button.png';
import download1 from '../../../Assets/images/download-to-storage-drive (1).png';
import whatsapp from '../../../Assets/images/whatsapp (1).png';
import { Helmet } from 'react-helmet';
import './js/popper.min.js'
import './js/slick.js'
import 'bootstrap/dist/js/bootstrap.min.js'
import logo from '../../../Assets/logo.png';
import google from '../../../Assets/images/google-play.png';
import imageeight from '../../../Assets/images/08.png';
import appoone from '../../../Assets/images/app-1.png';
import helper from '../../../Helper/function';
const CryptoJS = require('crypto-js');
import images1 from '../../../Assets/images/1.png';
import images2 from '../../../Assets/images/2.png';
import images3 from '../../../Assets/images/3.png';
import images4 from '../../../Assets/images/4.png';
import images5 from '../../../Assets/images/5.png';
import images6 from '../../../Assets/images/6.png';
import images7 from '../../../Assets/images/7.png';
import nextsvg from './images/next.png';
import flight from './images/airplane.png';
import './css/style.scss'
import './css/responsive.scss'
import "slick-carousel/slick/slick.css"
import "slick-carousel/slick/slick-theme.css"
import Slider from "./slider"
import Footer from "./Footer"
import { createSearchParams, NavLink, useNavigate } from "react-router-dom";
import FacebookIcon from '@mui/icons-material/Facebook';
import GoogleIcon from '@mui/icons-material/Google';
import TwitterIcon from '@mui/icons-material/Twitter';
import InstagramIcon from '@mui/icons-material/Instagram';
import SubscriptionsOutlinedIcon from '@mui/icons-material/SubscriptionsOutlined';
var count = 0;
export default function Landingpage() {
    const [digit, setDigit] = useState('');
    const [admindata, setGameData] = useState([]);
    const [frontData, setFrontData] = useState([]);
    const [BettingStatus, SetBettingStatus] = useState('');
    const [gamedata, setWalletBalance] = useState([]);
    const [starline_gamedata, setStarlineGamedata] = useState([]);
    const [starline_charts, setStarlineCharts] = useState([]);
    const [gali_gamedata, setGaliGamedata] = useState([]);
    const [gali_charts, setGaliCharts] = useState([]);
    const cardBack = ["online-matka-result", "online-matka-result-151", "online-matka-result-152", "online-matka-result-153"];
    const colorClass = ["cyan", "red", "blue", "orange"];
    const navigate = useNavigate();
    var color_main = ""
    var color_class = ""
    const getFrontData = async () => {
        try {
            const data = { env_type: 1 }
            const encKey = helper.randomString(32);
            var mykey = encKey.match(/.{1,8}/g)
            var myKey1 = helper.changeAlphaString(mykey[1], -3)
            var myKey2 = helper.changeAlphaString(mykey[3], -3)
            var original_key = mykey[0] + myKey1 + mykey[2] + myKey2

            const reqdata = helper.EncrptDecryptApiData(data, encKey, 1);
            const front_data = `{"reqdata" : "${reqdata}","reqkey":"${original_key}"}`
            let api_front_data = await fetch(process.env.APIURL + "/view-front-data", {
                method: 'POST',
                headers: {
                    "Content-Type": "application/json",
                    "Accept": "application/json",
                    "Origin": process.env.BASEURL
                },
                body: front_data
            });
            const finalFrontData = await api_front_data.json();

            const responseData = finalFrontData.resData;
            const responseKey = finalFrontData.resKey;
            var mykey = responseKey.match(/.{1,8}/g)
            var myKey1 = helper.changeAlphaString(mykey[1], -3)
            var myKey2 = helper.changeAlphaString(mykey[3], -3)
            var original_key = mykey[0] + myKey1 + mykey[2] + myKey2
            const enc_finalFrontData = helper.EncrptDecryptApiData(responseData, original_key, 2);
            setFrontData(JSON.parse(enc_finalFrontData))
        } catch (err) {
            console.log("Your Error is", err);
        }
    }
    const gethomedata = async () => {
        try {
            const data = { env_type: 1, unique_token: 'DUayvCeAAdzDD5mpg4eWWsGrqXrcrknU0J9YQh1q', registered: 1 }
            const encKey = helper.randomString(32);
            var mykey = encKey.match(/.{1,8}/g)
            var myKey1 = helper.changeAlphaString(mykey[1], -3)
            var myKey2 = helper.changeAlphaString(mykey[3], -3)
            var original_key = mykey[0] + myKey1 + mykey[2] + myKey2

            const reqdata = helper.EncrptDecryptApiData(data, encKey, 1);
            const homedata = `{"reqdata" : "${reqdata}","reqkey":"${original_key}"}`
            let homedatas = await fetch(process.env.APIURL + "/get-home-data", {
                method: 'POST',
                headers: {
                    "Content-Type": "application/json",
                    "Accept": "application/json",
                    "Origin": process.env.BASEURL
                },
                body: homedata
            });
            const actualData = await homedatas.json();
            if (actualData.status) {
                const responseData = actualData.resData;
                const responseKey = actualData.resKey;
                var mykey = responseKey.match(/.{1,8}/g)
                var myKey1 = helper.changeAlphaString(mykey[1], -3)
                var myKey2 = helper.changeAlphaString(mykey[3], -3)
                var original_key = mykey[0] + myKey1 + mykey[2] + myKey2
                const homeactualdata = helper.EncrptDecryptApiData(responseData, original_key, 2);
                setGameData(JSON.parse(homeactualdata))
                if (JSON.parse(homeactualdata).maintainence_status == 1) {
                    navigate(`${process.env.USER}/maintainence`, { replace: true })
                }
                const encrypted = CryptoJS.AES.encrypt("" + JSON.parse(homeactualdata).betting_status, "testkey");
                sessionStorage.setItem("beSession1skYjglUo2363gdC", encrypted.toString())
                SetBettingStatus(JSON.parse(homeactualdata).betting_status)
            }
        } catch (err) {
            console.log("Your Error is", err);
        }
    }
    useEffect(() => {
        gethomedata();
    }, []);
    useEffect(() => {
        getFrontData();
    }, []);
    // $(window).Onscroll(function(){
    //     var sticky = $('.header-arya-sec'),
    //         scroll = $(window).scrollTop();

    //     if (scroll >= 100) sticky.addClass('fixed');
    //     else sticky.removeClass('fixed');
    //   });

    const getBalanceData = async () => {
        try {
            const data = { env_type: 1 }
            const encKey = helper.randomString(32);
            var mykey = encKey.match(/.{1,8}/g)
            var myKey1 = helper.changeAlphaString(mykey[1], -3)
            var myKey2 = helper.changeAlphaString(mykey[3], -3)
            var original_key = mykey[0] + myKey1 + mykey[2] + myKey2

            const reqdata = helper.EncrptDecryptApiData(data, encKey, 1);
            const walletBal = `{"reqdata" : "${reqdata}","reqkey":"${original_key}"}`
            let walletBalanceDatas = await fetch(process.env.APIURL + "/get-main-games-list-home", {
                method: 'POST',
                headers: {
                    "Content-Type": "application/json",
                    "Accept": "application/json",
                    "Origin": process.env.BASEURL
                },
                body: walletBal
            });
            const actualData = await walletBalanceDatas.json();
            const responseData = actualData.resData;
            const responseKey = actualData.resKey;
            var mykey = responseKey.match(/.{1,8}/g)
            var myKey1 = helper.changeAlphaString(mykey[1], -3)
            var myKey2 = helper.changeAlphaString(mykey[3], -3)
            var original_key = mykey[0] + myKey1 + mykey[2] + myKey2
            const walletBalances = helper.EncrptDecryptApiData(responseData, original_key, 2);
            setWalletBalance((JSON.parse(walletBalances)).result);
        } catch (err) {
            console.log("Your Error is", err);
        }
    }
    const getstarLineData = async () => {
        try {
            const data = { env_type: 1 }
            const encKey = helper.randomString(32);
            var mykey = encKey.match(/.{1,8}/g)
            var myKey1 = helper.changeAlphaString(mykey[1], -3)
            var myKey2 = helper.changeAlphaString(mykey[3], -3)
            var original_key = mykey[0] + myKey1 + mykey[2] + myKey2

            const reqdata = helper.EncrptDecryptApiData(data, encKey, 1);
            const walletBal = `{"reqdata" : "${reqdata}","reqkey":"${original_key}"}`
            let walletBalanceDatas = await fetch(process.env.APIURL + "/get-starline-list-home", {
                method: 'POST',
                headers: {
                    "Content-Type": "application/json",
                    "Accept": "application/json",
                    "Origin": process.env.BASEURL
                },
                body: walletBal
            });
            const actualData = await walletBalanceDatas.json();
            const responseData = actualData.resData;
            const responseKey = actualData.resKey;
            var mykey = responseKey.match(/.{1,8}/g)
            var myKey1 = helper.changeAlphaString(mykey[1], -3)
            var myKey2 = helper.changeAlphaString(mykey[3], -3)
            var original_key = mykey[0] + myKey1 + mykey[2] + myKey2
            const walletBalances = helper.EncrptDecryptApiData(responseData, original_key, 2);
            setStarlineGamedata((JSON.parse(walletBalances)).result);
            setStarlineCharts((JSON.parse(walletBalances)).web_chart_url);
        } catch (err) {
            console.log("Your Error is", err);
        }
    }
    const getGaliData = async () => {
        try {
            const data = { env_type: 1 }
            const encKey = helper.randomString(32);
            var mykey = encKey.match(/.{1,8}/g)
            var myKey1 = helper.changeAlphaString(mykey[1], -3)
            var myKey2 = helper.changeAlphaString(mykey[3], -3)
            var original_key = mykey[0] + myKey1 + mykey[2] + myKey2

            const reqdata = helper.EncrptDecryptApiData(data, encKey, 1);
            const walletBal = `{"reqdata" : "${reqdata}","reqkey":"${original_key}"}`
            let walletBalanceDatas = await fetch(process.env.APIURL + "/get-galidissawar-game-list-home", {
                method: 'POST',
                headers: {
                    "Content-Type": "application/json",
                    "Accept": "application/json",
                    "Origin": process.env.BASEURL
                },
                body: walletBal
            });
            const actualData = await walletBalanceDatas.json();
            const responseData = actualData.resData;
            const responseKey = actualData.resKey;
            var mykey = responseKey.match(/.{1,8}/g)
            var myKey1 = helper.changeAlphaString(mykey[1], -3)
            var myKey2 = helper.changeAlphaString(mykey[3], -3)
            var original_key = mykey[0] + myKey1 + mykey[2] + myKey2
            const walletBalances = helper.EncrptDecryptApiData(responseData, original_key, 2);
            setGaliGamedata((JSON.parse(walletBalances)).result);
            setGaliCharts((JSON.parse(walletBalances)).web_chart_url);
        } catch (err) {
            console.log("Your Error is", err);
        }
    }
    useEffect(() => {
        getBalanceData();
    }, []);
    useEffect(() => {
        getstarLineData();
    }, []);
    useEffect(() => {
        getGaliData();
    }, []);

    const gamesData = async () => {
        try {
            const data = { env_type: 1 }
            const encKey = helper.randomString(32);
            var mykey = encKey.match(/.{1,8}/g)
            var myKey1 = helper.changeAlphaString(mykey[1], -3)
            var myKey2 = helper.changeAlphaString(mykey[3], -3)
            var original_key = mykey[0] + myKey1 + mykey[2] + myKey2

            const reqdata = helper.EncrptDecryptApiData(data, encKey, 1);
            const gameData = `{"reqdata" : "${reqdata}","reqkey":"${original_key}"}`
            let gameDatas = await fetch(process.env.APIURL + "/get-game-rates-home", {
                method: 'POST',
                headers: {
                    "Content-Type": "application/json",
                    "Accept": "application/json",
                    "Origin": process.env.BASEURL
                },
                body: gameData
            });
            const actualData = await gameDatas.json();
            if (actualData.status == true) {
                const responseData = actualData.resData;
                const responseKey = actualData.resKey;
                var mykey = responseKey.match(/.{1,8}/g)
                var myKey1 = helper.changeAlphaString(mykey[1], -3)
                var myKey2 = helper.changeAlphaString(mykey[3], -3)
                var original_key = mykey[0] + myKey1 + mykey[2] + myKey2
                const game_data = helper.EncrptDecryptApiData(responseData, original_key, 2);
                setDigit(JSON.parse(game_data))
            }
        } catch (err) {
            console.log("Your Error is", err);
        }
    }
    useEffect(() => {
        gamesData();
    }, []);

    function scroll() {
        document.getElementById("scroll").style.backgroundColor = "rgba(24, 27, 34,0.5)";
    }

    const heightManage = () => {
        count += 1;
        if (count % 2 == 1) {
            var element = document.getElementById('scroll');
            element.classList.toggle("heightChange");
            document.getElementById("navbarSupportedContent").style.display = 'block';
            document.getElementById("navbarSupportedContent").style.marginLeft = '20px';
            document.getElementById("scroll").style.backgroundColor = "rgba(24, 27, 34,0.5)";
        } else {
            var element = document.getElementById('scroll');
            element.classList.toggle("heightChange");
            document.getElementById("navbarSupportedContent").style.display = 'none';
            document.getElementById("navbarSupportedContent").style.marginLeft = '0px';
            document.getElementById("scroll").style.backgroundColor = "none";
        }

    }
    function changeGameFormate(open_result, close_result) {
        open_result = open_result.replace("*-***", "X-XXX")
        close_result = close_result.replace("*-***", "X-XXX")
        if (open_result != "" && close_result != "") {
            return open_result + close_result;
        } else if (open_result != "" && close_result == "") {
            return open_result + close_result;
        } else if (open_result == "" && close_result != "") {
            return open_result + close_result;
        } else {
            return "XXX-XX-XXX";
        }
    }
    function changeGameFormateStarline(open) {
        open = open.replace("***_*", "XXX-X")
        if (open != "") {
            return open;
        } else {
            return "XXX-X"
        }
    }
    return (
        <>
            <Helmet>
                <title>{frontData.page_title}</title>
                <meta charSet='utf-8' />
                <meta name="description" content={frontData.meta_description} />
                <meta name="keywords" content={frontData.meta_keyword} />
                <meta name="viewport" content="width=device-width; initial-scale=1; maximum-scale=1.0;" />
                <meta property='og:image' content={`${process.env.APIURL}/uploads/seo/${frontData.open_graph_image}`} />
                <meta property="og:url" content="http://142.132.229.43/" />
                <meta property="og:type" content="website" />
                <meta property="og:title" content={`${frontData.page_title}`} />
                <meta property="og:description" content={`${frontData.meta_description}`} />
                {frontData.meta_remaining}
                {frontData.open_graph}
            </Helmet>
            <div style={{ overflowY: 'scroll', overflowX: 'hidden', height: '100%', marginTop: "-16px" }} onScroll={scroll}>
                <header className="header-arya-sec" id="scroll" >
                    <div className="container" style={{ padding: "0px" }} >
                        <nav className="navbar navbar-expand-lg">
                            <a className="navbar-brand logo-a" href={`${process.env.BASEURL}`}><img src={logo} width='50px' alt="tej matka logo" /></a>
                            <button className="navbar-toggler navbar-toggler-152" onClick={heightManage} type="button" data-toggle="collapse"
                                data-rel="noopener" target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false"
                                aria-label="Toggle navigation">
                                <img src={menu} style={{ width: "25px" }} aria-hidden="true" alt="menu icon" />
                            </button>

                            <div className="collapse navbar-collapse" id="navbarSupportedContent">
                                <ul className="navbar-nav ml-auto">
                                    <li className="nav-item active">
                                        <a className="nav-link" href="#home">Home </a>
                                    </li>
                                    <li className="nav-item active">
                                        <a className="nav-link" href={`${process.env.BASEURL}blogs`}>Blogs </a>
                                    </li>
                                    <li className="nav-item active">
                                        <a className="nav-link" href="#result">Results </a>
                                    </li>
                                    <li className="nav-item active">
                                        <a className="nav-link" href="#about">About Us </a>
                                    </li>
                                    <li className="nav-item active">
                                        <a className="nav-link" href="#chart">Time Table</a>
                                    </li>
                                    <li className="nav-item active">
                                        <a className="nav-link" href="#rate">Rate Chart</a>
                                    </li>
                                    <li className="nav-item active">
                                        <a className="nav-link" href="#how">How to Play</a>
                                    </li>
                                    <li class="nav-item dropdown-custom">
                                        <a href='#' className='nav-link'>Markets</a>
                                        <div class="dropdown-custom-content">
                                            <div className='d-flex flex-column'>
                                                <NavLink className="cursor-pointer p-2" to='/dp-boss-matka'>
                                                    DP Boss Matka
                                                </NavLink>
                                                <NavLink className="cursor-pointer p-2" to='/satta-king'>
                                                    Satta King
                                                </NavLink>
                                                <NavLink className="cursor-pointer p-2" to='/gali-disawar'>
                                                    Gali Disawar
                                                </NavLink>
                                                <NavLink className="cursor-pointer p-2" to='/kalyan-results'>
                                                    Kalyan Result
                                                </NavLink>
                                            </div>
                                        </div>
                                    </li>
                                    {/* <li class="nav-item dropdown">
                                        <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                            Markets
                                        </a>
                                        <div class="dropdown-menu" aria-labelledby="navbarDropdown">
                                            <a class="dropdown-item" href="#">DP Boss Matka</a>
                                            <a class="dropdown-item" href="#">Satta King</a>
                                            <a class="dropdown-item" href="#">Gali Disawar</a>
                                            <a class="dropdown-item" href="#">Kalyan Result</a>
                                        </div>
                                    </li> */}
                                </ul>
                                <div className='row'>
                                    {frontData.facebook != "" ?
                                        <div className="col-1 ps-5">
                                            <div className="social-icons img-social-fb">
                                                <a target="_blank" rel="noreferrer" href={frontData.facebook}><FacebookIcon fontSize="medium" /></a>
                                            </div>
                                        </div>
                                        :
                                        <></>
                                    }
                                    {frontData.google_plus != "" ?
                                        <div className="col-1 ps-5">
                                            <div className="social-icons img-social-google">
                                                <a target="_blank" rel="noreferrer" href={frontData.google_plus}><GoogleIcon fontSize="medium" /></a>
                                            </div>
                                        </div>
                                        :
                                        <></>
                                    }
                                    {frontData.twitter != "" ?

                                        <div className="col-1 ps-5">
                                            <div className="social-icons img-social-twitter">
                                                <a target="_blank" rel="noreferrer" href={frontData.twitter}><TwitterIcon fontSize="medium" /></a>
                                            </div>
                                        </div>
                                        :
                                        <></>
                                    }
                                    {frontData.instagram != "" ?
                                        <div className="col-1 ps-5">
                                            <div className="social-icons img-social-insta">
                                                <a target="_blank" rel="noreferrer" href={frontData.instagram}><InstagramIcon fontSize="medium" /></a>
                                            </div>
                                        </div>
                                        :
                                        <></>
                                    }
                                    {frontData.youtube != "" ?
                                        <div className="col-1 ps-5">
                                            <div className="social-icons img-social-yt">
                                                <a target="_blank" rel="noreferrer" href={frontData.youtube}><SubscriptionsOutlinedIcon fontSize="medium" /></a>
                                            </div>
                                        </div>
                                        :
                                        <></>
                                    }
                                </div>
                            </div>
                        </nav>
                    </div>
                </header>
                <p id='home'></p>
                {/* <section className="slider-sec" id='sec' style={{ backgroundImage: `url(${process.env.APIURL+"/uploads/front/"+frontData.doc_file_0}`, }}> */}
                <section className="slider-sec" id='sec' style={{ backgroundImage: `url(${slider}` }}>
                    <div className="container">
                        <div className="row">
                            <div className="col-lg-8 col-12 col-sm-7">
                                <div className="slider-main-hed">
                                    <h1>{frontData.first_header}</h1>
                                    <p className="pb-20px">{frontData.second_header}</p>
                                    <div className="slider-button d-flex my-5">

                                        <a href={`${frontData.google_play_link}`}>
                                            <button className="slider-button-2">
                                                <div className="dev_name_1">
                                                    <img src={google} alt="google playstore icon" />
                                                    <br /> Google Play Store
                                                </div>
                                            </button>
                                        </a>
                                        <a href={`${frontData.doc_file_1}`}>
                                            <button className="slider-button-1"><div className="dev_name"> <img src={download1} width='30px' alt="download icon" /><br /> Download APK</div></button>
                                        </a>
                                        <a href={`${process.env.BASEURL}${process.env.USER}/login`} rel="noopener" target='_blank'>
                                            <button className="slider-button-2">
                                                <div className="dev_name_1">
                                                    <img src={play} width='30px' alt="play icon" />
                                                    <br /> ONLINE PLAY
                                                </div></button>
                                        </a>

                                    </div>
                                </div>
                            </div>
                            <div className="col-lg-4 col-12 col-sm-5">
                                <img src={imageeight} style={{ width: '98%', float: 'right' }} alt="slider image" className="slider-imaghe" />
                            </div>
                        </div>
                    </div>
                </section>

                <section className="Matka-Result" id="result">
                    <div className="container">

                        <h3 className="text-center">Matka Online Play Result</h3>

                        <div className="row">
                            {gamedata.map((item) => {
                                if (color_main == cardBack[0]) {
                                    color_main = cardBack[1]
                                } else if (color_main == cardBack[1]) {
                                    color_main = cardBack[2]
                                } else if (color_main == cardBack[2]) {
                                    color_main = cardBack[3]
                                } else {
                                    color_main = cardBack[0]
                                }
                                return (
                                    <div className="col-lg-3 col-12 col-sm-6" data-aos="fade-right">
                                        <div className={`${color_main}`} key={Math.random().toString(36).substr(2, 9)}>
                                            <h6>{item.game_name}</h6>
                                            <p>{changeGameFormate(item.open_result, item.close_result)}</p>
                                            <div className="time-bajar d-flex justify-content-between"> <span> <i className="fa fa-clock-o" aria-hidden="true"></i>
                                                {item.open_time}</span> <span> <i className="fa fa-clock-o" aria-hidden="true"></i>
                                                    {item.close_time}</span></div>
                                        </div>
                                    </div>
                                )
                            }
                            )}
                        </div>
                    </div>
                </section>

                <section className="about-us" id="about" style={{ backgroundImage: `url(${jakport}`, }}>
                    <div className="container">
                        <h3 className="text-center">ABOUT US</h3>

                        <div className="row">


                            <div className="col-lg-6 col-12 col-sm-6">
                                <div className="about-img text-center">
                                    <img src={appoone} alt="app scrrenshots" />
                                </div>
                            </div>

                            <div className="col-lg-6 col-12 col-sm-6">
                                <div className="about-cantent">
                                    <p>
                                        {frontData.about_us}
                                    </p>
                                </div>
                            </div>


                        </div>
                    </div>
                </section>
                {/* New Sections */}
                <section className="Jodi-Charts">
                    <div className="container">
                        <h5 className="text-center">Jodi Charts</h5>
                        <hr />
                        <div className="row">
                            {gamedata.map((item) => {
                                if (color_class == colorClass[0]) {
                                    color_class = colorClass[1]
                                } else if (color_class == colorClass[1]) {
                                    color_class = colorClass[2]
                                } else if (color_class == colorClass[2]) {
                                    color_class = colorClass[3]
                                } else {
                                    color_class = colorClass[0]
                                }
                                return (
                                    <div className="col-lg-3 col-12 col-sm-6">
                                        <div className={`box-new ${color_class}`} key={Math.random().toString(36).substr(2, 9)}>
                                            <h4>{item.game_name}</h4>
                                            <NavLink className="btn-go-home cursor-pointer" to={`/jodi-charts/${item.game_name.toLowerCase().split(" ").join("-")}`}
                                                state={{
                                                    chartID: item.web_chart_url_jodi,
                                                }}
                                                style={{ cursor: 'pointer' }}
                                            >
                                                <img className="next-svg" src={nextsvg} alt="next icon" />
                                            </NavLink>
                                        </div>
                                    </div>
                                )
                            })}
                        </div>
                    </div>
                </section>
                <section className="Game-Time" id="chart">
                    <div className="container">
                        <h2 className="text-center">Game Time Table</h2>
                        <div className="table-chart">
                            <table>
                                <thead>
                                    <tr className="main-heading">
                                        <th>MARKET</th>
                                        <th>OPEN</th>
                                        <th>CLOSE</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    {gamedata.map((item) => (
                                        <tr className="gray-bac-tr">
                                            <td data-column="First Name" key={Math.random().toString(36).substr(2, 9)} >{item.game_name}</td>
                                            <td data-column="Last Name" key={Math.random().toString(36).substr(2, 9)}>{item.open_time}</td>
                                            <td data-column="Job Title" key={Math.random().toString(36).substr(2, 9)}>{item.close_time}</td>
                                        </tr>
                                    ))}
                                </tbody>
                            </table>
                        </div>
                    </div>
                </section>
                <section className="Jodi-Charts">
                    <div className="container">
                        <h5 className="text-center">Panel Charts</h5>
                        <hr />
                        <div className="row">
                            {gamedata.map((item) => {
                                if (color_class == colorClass[0]) {
                                    color_class = colorClass[1]
                                } else if (color_class == colorClass[1]) {
                                    color_class = colorClass[2]
                                } else if (color_class == colorClass[2]) {
                                    color_class = colorClass[3]
                                } else {
                                    color_class = colorClass[0]
                                }
                                return (
                                    <div className="col-lg-3 col-12 col-sm-6">
                                        <div className={`box-new ${color_class}`} key={Math.random().toString(36).substr(2, 9)}>
                                            <h4>{item.game_name}</h4>
                                            {/* <a href={`${process.env.APIURL}/${item.web_chart_url}`} rel="noopener" target='_blank'>
                                                <img className="next-svg" src={nextsvg} alt="next image" />
                                            </a> */}
                                            <NavLink className="btn-go-home cursor-pointer" to={`/panel-charts/${item.game_name.toLowerCase().split(" ").join("-")}`}
                                                state={{
                                                    chartID: item.web_chart_url,
                                                }}
                                                style={{ cursor: 'pointer' }}
                                            >
                                                <img className="next-svg" src={nextsvg} alt="next icon" />
                                            </NavLink>
                                            {/* <p>Monitors activity to identify project roadblocks</p> */}
                                        </div>
                                    </div>
                                )
                            })}
                        </div>
                    </div>
                </section>
                <section className="about-us" style={{ backgroundImage: `url(${jakport}`, }}>
                    <div className="container">
                        <h3 className="text-center content-page">The best Matka app in India</h3>
                        <div className="row">
                            <div className="col-lg-12">
                                <div className="about-cantent">
                                    <p>
                                        You don’t have to be a guru of Satta and lotteries to make a fortune with the Tej Matka play app. Technology-based, it provides equal winning opportunities for rookies and experienced players. In other words, you can make a bundle even if it’s the first time you’re placing a bet
                                    </p>
                                    <br />
                                    <p>
                                        In Tej, you can find an extensive selection of Matka games where you can put your guessing abilities to the test. Can’t decide whether Jodi, Triple Patti, or Single Pana is better than others? Play all the games that seem interesting to you to get on a roll. Every new guessing session will bring you points you can use to win more
                                    </p>
                                </div>
                            </div>


                        </div>
                    </div>
                </section>
                <section className="Jodi-Charts Matka-Result" id="result">
                    <div className="container">
                        <h5 className="text-center">StarLine Result</h5>
                        <hr />
                        <div className="row">
                            {starline_gamedata.map((item) => {
                                if (color_main == cardBack[0]) {
                                    color_main = cardBack[1]
                                } else if (color_main == cardBack[1]) {
                                    color_main = cardBack[2]
                                } else if (color_main == cardBack[2]) {
                                    color_main = cardBack[3]
                                } else {
                                    color_main = cardBack[0]
                                }
                                return (
                                    <div className="col-lg-3 col-12 col-sm-6" data-aos="fade-right">
                                        <div className={`${color_main}`} key={Math.random().toString(36).substr(2, 9)}>
                                            <h6>{item.game_name}</h6>
                                            <p>{changeGameFormateStarline(item.open_result)}</p>

                                            <div className="time-bajar d-flex justify-content-center"> <span> <i className="fa fa-clock-o" aria-hidden="true"></i>
                                                {item.open_time}</span> <span> <i className="fa fa-clock-o" aria-hidden="true"></i>
                                                    {item.close_time}</span></div>
                                        </div>
                                    </div>
                                )
                            }
                            )}
                        </div>
                        <NavLink className="btn btn-custom-charts cursor-pointer" to='/starline-charts'
                            state={{
                                chartID: starline_charts,
                            }}
                            style={{ cursor: 'pointer' }}
                        >
                            Starline Charts
                        </NavLink>
                        {/* <a type="button" href={`${process.env.APIURL}/${starline_charts}`} rel="noopener" target="_blank" className="btn btn-custom-charts">Starline Charts</a> */}
                    </div>
                </section>
                <section className="about-us" style={{ backgroundImage: `url(${jakport}`, }}>
                    <div className="container">
                        <h3 className="text-center content-page">A glimpse at Tej</h3>
                        <div className="row">
                            <div className="col-lg-12">
                                <div className="about-cantent">
                                    <p>
                                        Tej is a digitized version of the Matka game. Its modern interface and result updates never come late, bringing your gambling experience to the next level. Our app will turn your smartphone into a first-rate casino where you are the only special guest. As a bonus, you will get a big portion of exhilaration and excitement every time you tap Tej and experience the joy of wins.
                                    </p>
                                </div>
                            </div>


                        </div>
                    </div>
                </section>
                <section className="Jodi-Charts Matka-Result" id="result">
                    <div className="container">
                        <h5 className="text-center">Gali Disawar Result</h5>
                        <hr />
                        <div className="row">
                            {gali_gamedata.map((item) => {
                                if (color_main == cardBack[0]) {
                                    color_main = cardBack[1]
                                } else if (color_main == cardBack[1]) {
                                    color_main = cardBack[2]
                                } else if (color_main == cardBack[2]) {
                                    color_main = cardBack[3]
                                } else {
                                    color_main = cardBack[0]
                                }
                                return (
                                    <div className="col-lg-3 col-12 col-sm-6" data-aos="fade-right">
                                        <div className={`${color_main}`} key={Math.random().toString(36).substr(2, 9)}>
                                            <h6>{item.game_name}</h6>
                                            <p>{changeGameFormateStarline(item.open_result)}</p>

                                            <div className="time-bajar d-flex justify-content-center"> <span> <i className="fa fa-clock-o" aria-hidden="true"></i>
                                                {item.open_time}</span> <span> <i className="fa fa-clock-o" aria-hidden="true"></i>
                                                    {item.close_time}</span></div>
                                        </div>
                                    </div>
                                )
                            })
                            }
                        </div>
                        <NavLink className="btn btn-custom-charts cursor-pointer" to='/gali-disawar-charts'
                            state={{
                                chartID: gali_charts,
                            }}
                            style={{ cursor: 'pointer' }}
                        >
                            Gali Disawar Charts
                        </NavLink>
                        {/* <a type="button" href={`${process.env.APIURL}/${gali_charts}`} rel="noopener" target="_blank" className="btn btn-custom-charts">Gali Disawar Charts</a> */}
                    </div>
                </section>
                <section className="about-us" style={{ backgroundImage: `url(${jakport}`, }}>
                    <div className="container">
                        <h3 className="text-center content-page">Is it hard to get started?</h3>
                        <div className="row">
                            <div className="col-lg-12">
                                <div className="about-cantent">
                                    <p>
                                        Satta Matka isn’t rocket science, meaning you can handle it from the word go. Once your Tej account is created, and you’ve logged in, you can choose any game and proceed to the most exciting part – guessing. The Tej interface will get you to select 3 numbers from 0 to 9 to get started.
                                    </p>
                                </div>
                            </div>


                        </div>
                    </div>
                </section>
                <section className="App-Screenshots" id="Screenshots">
                    <div className="container" style={{ paddingBottom: "60px" }}>
                        <h5 className="text-center">App Screenshots</h5>
                        <hr />
                        <Slider />
                    </div>
                </section>

                <section className="about-us" style={{ backgroundImage: `url(${jakport}`, }}>
                    <div className="container">
                        <h3 className="text-center content-page">Top Online Matka Games by Tej Games</h3>
                        <div className="row">
                            <div className="col-lg-12">
                                <div className="about-cantent">
                                    <div className='row'>
                                        <div className="col-lg-2 col-6 col-sm-4">
                                            <img src={flight} alt="flight icons" className="flight-image" />
                                            <span>
                                                SINGLE DIGIT
                                            </span>
                                        </div>
                                        <div className="col-lg-2 col-6 col-sm-4">
                                            <img src={flight} alt="flight icons" className="flight-image" />
                                            <span>
                                                EVEN ODD
                                            </span>
                                        </div>
                                        <div className="col-lg-2 col-6 col-sm-4">
                                            <img src={flight} alt="flight icons" className="flight-image" />
                                            <span>
                                                JODI DIGITS
                                            </span>
                                        </div>
                                        <div className="col-lg-2 col-6 col-sm-4">
                                            <img src={flight} alt="flight icons" className="flight-image" />
                                            <span>
                                                RED BRACKETS
                                            </span>
                                        </div>
                                        <div className="col-lg-2 col-6 col-sm-4">
                                            <img src={flight} alt="flight icons" className="flight-image" />
                                            <span>
                                                SINGLE PANNA
                                            </span>
                                        </div>
                                        <div className="col-lg-2 col-6 col-sm-4">
                                            <img src={flight} alt="flight icons" className="flight-image" />
                                            <span>
                                                DOUBLE PANNA
                                            </span>
                                        </div>
                                        <div className="col-lg-2 col-6 col-sm-4">
                                            <img src={flight} alt="flight icons" className="flight-image" />
                                            <span>
                                                TRIPPLE PANNA
                                            </span>
                                        </div>
                                        <div className="col-lg-2 col-6 col-sm-4">
                                            <img src={flight} alt="flight icons" className="flight-image" />
                                            <span>
                                                SP MOTOR
                                            </span>
                                        </div>
                                        <div className="col-lg-2 col-6 col-sm-4">
                                            <img src={flight} alt="flight icons" className="flight-image" />
                                            <span>
                                                DP MOTOR
                                            </span>
                                        </div>
                                        <div className="col-lg-2 col-6 col-sm-4">
                                            <img src={flight} alt="flight icons" className="flight-image" />
                                            <span>
                                                SP DP TP MOTOR
                                            </span>
                                        </div>
                                        <div className="col-lg-2 col-6 col-sm-4">
                                            <img src={flight} alt="flight icons" className="flight-image" />
                                            <span>
                                                HALF SUNGAM
                                            </span>
                                        </div>
                                        <div className="col-lg-2 col-6 col-sm-4">
                                            <img src={flight} alt="flight icons" className="flight-image" />
                                            <span>
                                                FULL SUNGAM
                                            </span>
                                        </div>
                                    </div>
                                </div>
                            </div>


                        </div>
                    </div>
                </section>
                <section className="about-us" style={{ backgroundImage: `url(${jakport}`, }}>
                    <div className="container">
                        <h3 className="text-center content-page">Download our online Matka application for prompt withdrawals</h3>
                        <div className="row">
                            <div className="col-lg-12">
                                <div className="about-cantent">
                                    <p>
                                        Many guessers spend years trying to win a lottery. But even if they do, it takes them months to get their money. Want to avoid disappointment like that? Download our online Matka app and enjoy the fastest withdrawals!
                                    </p>
                                    <br />
                                    <p>
                                        To cash it out, you can transfer money from your Tej account to your debit or credit card, including Mastercard, Visa, and Maestro. Alternatively, you can initiate a bank transfer or send your winnings to a digital wallet like Neteller India.
                                    </p>
                                </div>
                            </div>


                        </div>
                    </div>
                </section>

                <section className="GAME-PLAY" id="rate">
                    <div className="container">
                        <h4 className="text-center">GAME PLAY RATES</h4>

                        <div className="row">
                            <div className="col-lg-4 col-12 col-sm-6">
                                <div className="flip-box online-matka-result-1 online-matka-result-151">
                                    <div className="flip-box-inner">
                                        <div className="flip-box-front">
                                            <div className="rate-box-1">
                                                <img src={images1} alt="single digit" />
                                            </div>

                                            <div className="time-bajar-1">SINGLE DIGIT {digit.single_digit_1} ka {digit.single_digit_2}</div>
                                        </div>
                                        <div className="flip-box-back">
                                            <div className="rate-box-1">
                                                <img src={images1} alt="single digit" />
                                            </div>

                                            <div className="time-bajar-1">SINGLE DIGIT {digit.single_digit_1} ka {digit.single_digit_2}</div>
                                        </div>
                                    </div>
                                </div>
                            </div>

                            <div className="col-lg-4 col-12 col-sm-6">
                                <div className="flip-box online-matka-result-1 online-matka-result-152">
                                    <div className="flip-box-inner">
                                        <div className="flip-box-front">
                                            <div className="rate-box-1">
                                                <img src={images2} alt="jodi digit" />
                                            </div>

                                            <div className="time-bajar-1">JODI DIGIT {digit.jodi_digit_1} ka {digit.jodi_digit_2}</div>
                                        </div>
                                        <div className="flip-box-back">
                                            <div className="rate-box-1">
                                                <img src={images2} alt="jodi digit" />
                                            </div>

                                            <div className="time-bajar-1">JODI DIGIT {digit.jodi_digit_1} ka {digit.jodi_digit_2}</div>
                                        </div>
                                    </div>
                                </div>
                            </div>

                            <div className="col-lg-4 col-12 col-sm-6">
                                <div className="flip-box online-matka-result-1 online-matka-result-153">
                                    <div className="flip-box-inner">
                                        <div className="flip-box-front">
                                            <div className="rate-box-1">
                                                <img src={images3} alt="single pana" />
                                            </div>

                                            <div className="time-bajar-1">SINGLE PANA {digit.single_pana_1} ka {digit.single_pana_2}</div>
                                        </div>
                                        <div className="flip-box-back">
                                            <div className="rate-box-1">
                                                <img src={images3} alt="single pana" />
                                            </div>

                                            <div className="time-bajar-1">SINGLE PANA {digit.single_pana_1} ka {digit.single_pana_2}</div>
                                        </div>
                                    </div>
                                </div>
                            </div>

                            <div className="col-lg-4 col-12 col-sm-6">
                                <div className="flip-box online-matka-result-1 ">
                                    <div className="flip-box-inner">
                                        <div className="flip-box-front">
                                            <div className="rate-box-1">
                                                <img src={images4} alt="double pana" />
                                            </div>

                                            <div className="time-bajar-1">DOUBLE PANA {digit.double_pana_1} ka {digit.double_pana_2}</div>
                                        </div>
                                        <div className="flip-box-back">
                                            <div className="rate-box-1">
                                                <img src={images4} alt="double pana" />
                                            </div>

                                            <div className="time-bajar-1">DOUBLE PANA {digit.double_pana_1} ka {digit.double_pana_2}</div>
                                        </div>
                                    </div>
                                </div>
                            </div>

                            <div className="col-lg-4 col-12 col-sm-6">
                                <div className="flip-box online-matka-result-1 online-matka-result-151">
                                    <div className="flip-box-inner">
                                        <div className="flip-box-front">
                                            <div className="rate-box-1">
                                                <img src={images5} alt="tripple pana" />
                                            </div>

                                            <div className="time-bajar-1">TRIPLE PANA  {digit.tripple_pana_1} ka {digit.tripple_pana_2}</div>
                                        </div>
                                        <div className="flip-box-back">
                                            <div className="rate-box-1">
                                                <img src={images5} alt="tripple pana" />
                                            </div>

                                            <div className="time-bajar-1">TRIPLE PANA  {digit.tripple_pana_1} ka {digit.tripple_pana_2}</div>
                                        </div>
                                    </div>
                                </div>
                            </div>

                            <div className="col-lg-4 col-12 col-sm-6">
                                <div className="flip-box online-matka-result-1 online-matka-result-152">
                                    <div className="flip-box-inner">
                                        <div className="flip-box-front">
                                            <div className="rate-box-1">
                                                <img src={images6} alt="half sangum" />
                                            </div>

                                            <div className="time-bajar-1">HALF SANGAM  {digit.half_sangam_1} ka {digit.half_sangam_2}</div>
                                        </div>
                                        <div className="flip-box-back">
                                            <div className="rate-box-1">
                                                <img src={images6} alt="half sangam" />
                                            </div>

                                            <div className="time-bajar-1">HALF SANGAM  {digit.half_sangam_1} ka {digit.half_sangam_2}</div>
                                        </div>
                                    </div>
                                </div>
                            </div>

                            <div className="col-lg-4 col-12 col-sm-6 extra">
                                <div className="flip-box online-matka-result-1 online-matka-result-153">
                                    <div className="flip-box-inner">
                                        <div className="flip-box-front">
                                            <div className="rate-box-1">
                                                <img src={images7} alt="full sangam" />
                                            </div>

                                            <div className="time-bajar-1">FULL SANGAM  {digit.full_sangam_1} ka {digit.full_sangam_2}</div>
                                        </div>
                                        <div className="flip-box-back">
                                            <div className="rate-box-1">
                                                <img src={images7} />
                                            </div>

                                            <div className="time-bajar-1" alt="full sangam">FULL SANGAM  {digit.full_sangam_1} ka {digit.full_sangam_2}</div>
                                        </div>
                                    </div>
                                </div>
                            </div>

                        </div>
                    </div>
                </section>

                <section className="about-us" style={{ backgroundImage: `url(${jakport}`, }}>
                    <div className="container">
                        <h3 className="text-center content-page">Get into Satta Matka</h3>
                        <div className="row">
                            <div className="col-lg-12" >
                                <div className="about-cantent">
                                    <p>
                                        Your smartphone is so multipurpose, so why not add another function? Download Tej from Google Play to get your foot in the door today.
                                    </p>
                                    <br />
                                    <p>
                                        Need to learn the basics of playing Matka? There are many tips you can find in the Tej app. Plus, it provides access to different play rates, from Single Digit to Double Pana to Full Sangam, so that you can have more winning opportunities.
                                    </p>
                                    <br />
                                    <p>
                                        Bestow lucky charms upon yourself with the Tej Matka application!
                                    </p>
                                </div>
                            </div>


                        </div>
                    </div>
                </section>
                <section className="Jodi-Charts Matka-Result" id="result">
                    <div className="container">
                        <h5 className="text-center">How to Play</h5>
                        <hr />
                        <div className="col-lg-8 col-sm-8 m-auto">
                            <iframe width="560" height="315" src="https://www.youtube.com/embed/fprSojO1c0A" title="YouTube video player" frameborder="0" allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture; web-share" allowfullscreen></iframe>
                            {/* <iframe width="560" height="315" src={`${frontData.video_link}`} title="YouTube video player" frameBorder="0" allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture" allowFullScreen></iframe> */}
                        </div>
                    </div>
                </section>
                <section className="play-how " id="how" style={{ backgroundImage: `url(${bg2}`, backgroundRepeat: "no-repeat", backgroundSize: "cover" }}>
                    <div className="container ">
                        <div className="row row-doted-line">
                            <div className="col-lg-6">
                                <h5 className="text-center">How To Play</h5>
                                {/* <p>{frontData.how_to_play_desc?.replace(/<[^>]*>?/gm, '').replace("&nbsp","")}</p> */}
                                <p dangerouslySetInnerHTML={{ __html: frontData.how_to_play_desc }}></p>
                            </div>

                            <div className="col-lg-6">
                                <div className="row">
                                    <div className="col-lg-6 col-12 col-sm-6">
                                        <div className="img-sec">
                                            <div className="how-play-icon-mart">
                                                <img src={download} width='30px' alt="download apk" />
                                                {/* <i className="fa fa-download" aria-hidden="true"></i> */}
                                            </div>
                                            <p className="img-sec-p">
                                                1. Download App
                                            </p>
                                        </div>
                                    </div>

                                    <div className="col-lg-6 col-12 col-sm-6">
                                        <div className="img-sec">
                                            <div className="how-play-icon-mart">
                                                <img src={next} width='30px' alt="sign in" />
                                            </div>
                                            <p className="img-sec-p">
                                                2. Click On Sign In
                                            </p>
                                        </div>
                                    </div>

                                    <div className="col-lg-6 col-12 col-sm-6">
                                        <div className="img-sec">
                                            <div className="how-play-icon-mart">
                                                <img src={lock} width='30px' alt="lock" />
                                            </div>
                                            <p className="img-sec-p">
                                                3. Enter User Id & Password
                                            </p>
                                        </div>
                                    </div>

                                    <div className="col-lg-6 col-12 col-sm-6">
                                        <div className="img-sec">
                                            <div className="how-play-icon-mart">
                                                <img src={games} width='30px' alt="games" />
                                            </div>
                                            <p className="img-sec-p">
                                                4. Select Game & Play The Game
                                            </p>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </section>

                <section className="share-button" style={{ backgroundColor: "#000" }}>
                    <div className="container p-0">
                        <div className="share-button-1">
                            <button className="share-button-whatapp" >
                                <a style={{ textDecoration: "none", color: "#fff" }} href={`tel:${admindata.whats_mobile == undefined ? "" : admindata.whats_mobile}`} rel="noopener" target="_blank"><span className='mr-2' style={{ marginLeft: '28px' }}>{admindata.whats_mobile}</span></a>
                                <img style={{ marginLeft: '8px' }} src={call} width='20px' alt="call icon" />
                            </button>
                            <button className="share-button-call">
                                <a style={{ textDecoration: "none", color: "#fff" }} href={`https://api.whatsapp.com/send?phone=${admindata.mobile_number == undefined ? "" : admindata.mobile_number}`} rel="noopener" target="_blank"><span style={{ marginLeft: '28px' }}>{admindata.mobile_number}</span></a>
                                <img style={{ marginLeft: '8px' }} src={whatsapp} width='20px' alt="whatsapp icon" />
                            </button>
                        </div>
                    </div>
                </section>
                <Footer />
            </div >
        </>
    )
}
