import React from 'react'
import { Helmet } from 'react-helmet';
import { NavLink } from "react-router-dom";
import Maintainence from '../../Assets/Maintainence.jpeg'


const NotFound = () => {
    return (
        <>
            <Helmet>
                <title>Matka</title>
                <meta name="viewport" content="width=device-width; initial-scale=1; maximum-scale=1.0;" />
            </Helmet>
            <div className="not-found-container">
                <img className="image-404" src={Maintainence} width="300px" />
            </div>
            <div className="not-found-text">
                <div className='text'>
                    <h1>Sorry..., Wait</h1>
                    <p>We are working for you! <br />
                    Our app is under maintenance. We will back to you very soon..</p>
                </div>

            </div>

            <div className='home-back'>
                <NavLink to={`/${process.env.USER}/home`} className="btn-go-home"><button className='buttons-back'>Try Again</button></NavLink>
            </div>
        </>
    )
}

export default NotFound;