import React from 'react'
import { Helmet } from 'react-helmet';
import { NavLink } from "react-router-dom";
import notfound from '../../Assets/notfound.jpeg'


const NotFound = () => {
    return (
        <>
            {/* <Helmet>
                <title>404 Not Found</title>
                <meta name="viewport" content="width=device-width; initial-scale=1; maximum-scale=1.0;" />
            </Helmet> */}
            <div className="not-found-container">
                <img className="image-404" src={notfound} width="300px" />
            </div>
            <div className="not-found-text">
                <div className='text'>
                    <h1>Awww...Don’t Cry.</h1>
                    <p>It's just a 404 Error! <br />
                        What you’re looking for may have been misplaced in Long Term Memory.</p>
                </div>

            </div>

            <div className='home-back'>
                <NavLink to={`/${process.env.USER}/home`} className="btn-go-home"><button className='buttons-back'>GO BACK HOME</button></NavLink>
            </div>
        </>
    )
}

export default NotFound;