import helper from '../../../../Helper/function';

function GameStatus (env,unique_token,game_id) {
    try {
        const data = { env_type: env_type, game_id:game_id, unique_token: token }
        const encKey = helper.randomString(32);
        var mykey = encKey.match(/.{1,8}/g)
        var myKey1 = helper.changeAlphaString(mykey[1], -3)
        var myKey2 = helper.changeAlphaString(mykey[3], -3)
        var original_key = mykey[0] + myKey1 + mykey[2] + myKey2

        const reqdata = helper.EncrptDecryptApiData(data, encKey, 1);
        const checkGameStatus = `{"reqdata" : "${reqdata}","reqkey":"${original_key}"}`
        let checkGameStatusData = await fetch(process.env.APIURL + "/check-games-status", {
            method: 'POST',
            headers: {
                "Content-Type": "application/json",
                "Accept": "application/json",
                "Origin": process.env.BASEURL
            },
            body: checkGameStatus
        });
        const result = await checkGameStatusData.json();
        const responseData = result.resData;
        const responseKey = result.resKey;
        var mykey = responseKey.match(/.{1,8}/g)
        var myKey1 = helper.changeAlphaString(mykey[1], -3)
        var myKey2 = helper.changeAlphaString(mykey[3], -3)
        var original_key = mykey[0] + myKey1 + mykey[2] + myKey2
        const gameStatus = JSON.parse(helper.EncrptDecryptApiData(responseData, original_key, 2));
        return gameStatus
    } catch (err) {
        console.log("Your Error is", err);
    }
}
export default GameStatus;