import React, { useRef, useState, useEffect } from 'react'
import { NavLink, useLocation } from 'react-router-dom';
import backArrow from '../../../Assets/back.png';
import gift from '../../../Assets/gift-2 (1).png';
import $ from 'jquery';
import helper from '../../../Helper/function';
import 'bootstrap/dist/js/bootstrap.min.js'
import { Helmet } from 'react-helmet';
import 'bootstrap/dist/js/bootstrap.min.js';
import whatsapp from '../../../Assets/whatsapp-1.png';
import gmail from '../../../Assets/gmail.png'
import telegram from '../../../Assets/telegram.png'
import twitter from '../../../Assets/twitter.png'
import Instagram from '../../../Assets/Instagram-Icon.png'
import chat from '../../../Assets/chat (1).png'
import user from '../../../Assets/sidebar/users.png';
import facebook from '../../../Assets/facebook (2).png';
import { ToastContainer, toast } from 'react-toastify';
import 'react-toastify/dist/ReactToastify.css';
import moment from 'moment';
import notfound from '../../../Assets/datanotfound.png';

import '../../../css/style.scss'


function GameChart() {
    let profileSessionData = sessionStorage.getItem('profileDataUser')
    const UserShowData = JSON.parse(profileSessionData);
    let sessionData = sessionStorage.getItem('userProfileData');
    const reqSessionData = JSON.parse(sessionData);
    const [token, setToken] = useState(reqSessionData.unique_token)
    const [message, setMessage] = useState('')
    const [code, setRefferalCode] = useState('')
    const [link, setLink] = useState('')
    const [refferal_message, setRefferalMsg] = useState('')
    const [list, setList] = useState([])
    const [time, setTime] = useState('')

    // var list = [];
    const location = useLocation();
    const flickityOptions = {
        groupCells: true,
        initialIndex: 2,
        // autoPlay: 1500,
        freeScroll: true,
        contain: true,
        // disable previous & next buttons and dots
        prevNextButtons: false,
        // pageDots: false,
        // draggable: true,
        freeScroll: true,
        // wrapAround: true,
        contain: true,
        // prevNextButtons: false,
        // fullscreen: true,
        lazyLoad: 1,
    }
    // referralData();
    const referralData = async () => {
        try {
            const data = { env_type: 1, unique_token: token }
            // console.log(data)
            const encKey = helper.randomString(32);
            var mykey = encKey.match(/.{1,8}/g)
            var myKey1 = helper.changeAlphaString(mykey[1], -3)
            var myKey2 = helper.changeAlphaString(mykey[3], -3)
            var original_key = mykey[0] + myKey1 + mykey[2] + myKey2

            const reqdata = helper.EncrptDecryptApiData(data, encKey, 1);
            const homedata = `{"reqdata" : "${reqdata}","reqkey":"${original_key}"}`
            let homedatas = await fetch(process.env.APIURL + "/user-referral-details", {
                method: 'POST',
                headers: {
                    "Content-Type": "application/json",
                    "Accept": "application/json",
                    "Origin": process.env.BASEURL
                },
                body: homedata
            });
            const actualData = await homedatas.json();
            setMessage(actualData.message)
            setRefferalCode(actualData.referral_code)
            // setRefferalCode('KLMPK34') 
            setLink(actualData.referral_link)
            setRefferalMsg(actualData.referral_msg)

        } catch (err) {
            console.log("Your Error is", err);
        }
    }
    useEffect(() => {
        referralData();
    }, []);
    const referralList = async () => {
        try {
            const data = { env_type: 1, unique_token: token }
            // console.log(data)
            const encKey = helper.randomString(32);
            var mykey = encKey.match(/.{1,8}/g)
            var myKey1 = helper.changeAlphaString(mykey[1], -3)
            var myKey2 = helper.changeAlphaString(mykey[3], -3)
            var original_key = mykey[0] + myKey1 + mykey[2] + myKey2

            const reqdata = helper.EncrptDecryptApiData(data, encKey, 1);
            const homedata = `{"reqdata" : "${reqdata}","reqkey":"${original_key}"}`
            let homedatas = await fetch(process.env.APIURL + "/user-referral-list", {
                method: 'POST',
                headers: {
                    "Content-Type": "application/json",
                    "Accept": "application/json",
                    "Origin": process.env.BASEURL
                },
                body: homedata
            });
            const actualData = await homedatas.json();
            // console.log(actualData)
            if (actualData.status == true) {
                const responseData = actualData.resData;
                const responseKey = actualData.resKey;
                var mykey = responseKey.match(/.{1,8}/g)
                var myKey1 = helper.changeAlphaString(mykey[1], -3)
                var myKey2 = helper.changeAlphaString(mykey[3], -3)
                var original_key = mykey[0] + myKey1 + mykey[2] + myKey2
                const refferal = helper.EncrptDecryptApiData(responseData, original_key, 2);
                // setList(refferal)
                // list = (JSON.parse(refferal)).result;
                // console.log(refferal)
                setList((JSON.parse(refferal)).result);

            } else {
                console.log('data not propper')
            }
        } catch (err) {
            console.log("Your Error is", err);
        }
    }
    useEffect(() => {
        referralList();
    }, []);
    const [copySuccess, setCopySuccess] = useState('');
    const textAreaRef = useRef(null);

    const copyToClipboard = (e, elementId) => {
        console.log(elementId)
        // Create a "hidden" input
        var aux = document.createElement("input");

        // Assign it the value of the specified element
        aux.setAttribute("value", document.getElementById(elementId).innerHTML);

        // Append it to the body
        document.body.appendChild(aux);

        // Highlight its content
        aux.select();

        // Copy the highlighted text
        document.execCommand("copy");

        // Remove it from the body
        document.body.removeChild(aux);
        toast('Copied Successfully')


    }
    return (
        <>
            <Helmet>
                <title>Matka</title>
                <meta name="viewport" content="width=device-width; initial-scale=1; maximum-scale=1.0;" />
            </Helmet>


            <div className='col-sm-4 m-auto '>
                <div className="container-fluid" style={{ backgroundColor: "#191c21" }}>
                    <div className="d-flex row pt-1">
                        <div className="col-1  p-1">
                            <NavLink to={`/${process.env.USER}/home`} className="NavLink py-1"><img src={backArrow} width="30px" /></NavLink>
                        </div>
                        <div className="col-9 center  p-1 ">
                            <h5 className="py-1 d-flex justify-content-left align-items-center">Refer & Earn</h5>
                        </div>
                        <div className="col-2 center  p-1 ">
                            {/* <h5 className="py-1 d-flex justify-content-left align-items-center">T&C</h5> */}
                        </div>
                    </div>
                </div>
             
                <ul class="nav nav-tabs" id="myTab" role="tablist">
                   
                    <li class="nav-item" role="presentation" style={{ width: '50%' }}>
                        <a className="nav-link active text-center" style={{ color: '#495057' }} id="home-tab" data-bs-toggle="tab" href="#home" role="tab" aria-controls="home" aria-selected="true">REFFER</a>
                    </li>
                   
                    <li className="nav-item" role="presentation" style={{ width: '50%' }} >
                        <a className="nav-link text-center" id="profile-tab" style={{color:'#495057'}} data-bs-toggle="tab" href="#profile" role="tab" aria-controls="profile" aria-selected="false">MY REFERRAL </a>
                    </li>
                  
                </ul>
                <div class="tab-content " id="myTabContent" >
                    <div class="tab-pane fade show active" id="home" role="tabpanel" aria-labelledby="home-tab">
                        <div className='' style={{ overflowY: 'scroll',height:'700px',overflowX:'hidden'}}>
                            <div style={{ backgroundColor: '#f0f0f0' }}>
                                <div className='container-fluid px-2 pt-2'  >
                                    <div className='' style={{ backgroundColor: 'white', padding: '10px' }}>
                                        <div className='py-5 position-relative' style={{ backgroundColor: '#191c21', textAlign: 'center' }}>
                                            <img src={gift} width='300px' />
                                            <h5 style={{ color: 'white' }}>{message}</h5>
                                            <p style={{ color: 'white' }}>{refferal_message}</p>
                                            <div className='position-absolute refer-code'>
                                                {console.log(code)}
                                            <h6 style={{ color: 'gray' }}>Your Code : <span onClick={(e) => copyToClipboard(e, "mytext")} id="mytext" style={{ color: 'black', fontWeight: 'bold',cursor:'pointer'}}>{code==''?'------':code}</span></h6>
                                        </div>
                                        </div>
                                    </div>
                                </div>
                            </div>


                            <div style={{ backgroundColor: '#f0f0f0' }} >
                                <div className='container-fluid px-2'>
                                        <div style={{ paddingTop: '30px', paddingBottom: '30px', backgroundColor: 'white' }}>
                                                
                                    <div className='col-12'>
                                        <div className='row px-3'>
                                                    <div className='col-3'>
                                                        
                                                    </div>
                                                    <div className='col-1 text-center' >
                                                    <a href={`https://api.whatsapp.com/send?text=${refferal_message} %0D%0A Refferal Code : ${code} %0D%0A Refferal Link : ${link} `} target='_blank'><img src={whatsapp} width='40px' /></a>
                                                    </div>
                                                    <div className='col-2 text-center'>
                                                    <a href={`https://telegram.me/share/url?url=${refferal_message}{${link}${code}}&text=${refferal_message} %0D%0A Refferal Code : ${code} %0D%0A Refferal Link : ${link}`} target='_blank'><img src={telegram} style={{ marginLeft: '35px' }} width='40px' /></a>
                                                    </div>
                                                    <div className='col-1 text-center'>
                                                    <a href={`mailto:${link}${code}?subject=&body=${refferal_message} %0D%0A Refferal Code : ${code} %0D%0A Refferal Link : ${link}`} target='_blank'><img src={gmail} style={{ marginLeft: '35px' }} width='40px' /></a>
                                                    </div>
                                        </div>
                                    </div>
                                    </div>
                                </div>
                            </div>
                            <div style={{ backgroundColor: '#f0f0f0' }}>
                                <div className='container-fluid text-center py-1'>
                                    <p style={{ color: 'gray' }}>OR</p>
                                    <p style={{ color: 'gray' }}>Your personal referral Link:</p>
                                </div>
                            </div>
                            {/* <div style={{backgroundColor:'#f0f0f0'}}> */}
                            <div className=' py-2' style={{ backgroundColor: 'white', textAlign: 'center',marginBottom:'20px' }}>
                                {/* <input type="hidden" value={`${link}${code}`} id="myInput"/> */}
                                <button onClick={(e) => copyToClipboard(e, "copytext")} id="copytext" className='btn btn-color' style={{ color: 'gray', backgroundColor: 'white', borderRadius: '5px', width: '100%', border: '1px solid gray' }}>{`${link}`}</button>
                            </div>
                            {/* </div> */}
                        </div>
                    </div>
                    <div class="tab-pane fade" id="profile" role="tabpanel" aria-labelledby="profile-tab">
                        {(list.length > 0)?
                        <div className="overflow-auto" style={{ height: '700px', paddingBottom: '50px' }} >
                            {list.map((item) => {
                                let m = new Date(item.createdAt).toLocaleString(undefined, { timeZone: 'Asia/Kolkata' })
                                return (
                                    <>
                                        <div style={{ backgroundColor: '#f0f0f0' }} className='pt-2'>
                                            <div className='container-fluid'>
                                                <div style={{ backgroundColor: 'white', borderRadius: '5px', border: '1px solid gray', boxShadow: '5px 10px 10px #888888' }}>
                                                    <div className='col-12 py-2 px-1'>
                                                        <div className='row'>
                                                            <div className='col-3' style={{ marginLeft: '10px' }}>
                                                                <img src={user} width='70px' />
                                                            </div>
                                                            <div className='col-8'>
                                                                {/* {console.log(item.username)}
                                                            <p>username:"${item.username}" </p> */}
                                                                {/* {username} */}
                                                                <p style={{ fontWeight: 'bold', margin: '0px' }}>Username : <span style={{ color: 'gray', fontSize: '14px', fontWeight: '600px' }}>{item.username} </span></p>
                                                                <p style={{ fontWeight: 'bold', margin: '0px' }}>Mobile : <span style={{ color: 'gray', fontSize: '14px', fontWeight: '600px' }}>{item.mobile}</span></p>

                                                                <p style={{ fontWeight: 'bold', margin: '0px' }}>Date/Time : <span style={{ color: 'gray', fontSize: '14px', fontWeight: '600px' }}>{moment(item.createdAt).format('Do MMMM YYYY, h:mm A')}</span></p>
                                                               
                                                            </div>
                                                           
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </>
                                )
                            })}
                        </div>:
                          <div className='nodatafound'>
                          <img src={notfound} style={{ width: "100%" }} alt="not found" />
                        </div>
                        }
                    </div>
                </div>
                <ToastContainer
                    position="bottom-center"
                    autoClose={3000}
                    hideProgressBar={false}
                    newestOnTop={false}
                    closeOnClick
                    rtl={false}
                    pauseOnFocusLoss
                    draggable={true}
                    limit={1}
                    pauseOnHover
                    theme="dark"
                    draggablePercent={60}
                />

               
            </div>



        </>
    )
}

export default GameChart



















