import React, { useState, useEffect, Component ,useRef } from 'react'
import { NavLink, useLocation } from 'react-router-dom';
import backArrow from '../../../..//Assets/back.png'
import wallet from '../../../../Assets/wallet.png'
import { Helmet } from 'react-helmet';
import $ from 'jquery';
import "react-datepicker/dist/react-datepicker.css";
import helper from '../../../../Helper/function';
import { ToastContainer, toast } from 'react-toastify';
import Select, { components } from 'react-select';
import InfoIcon from '@mui/icons-material/InfoOutlined';
import classnames from 'classnames';

var newarray = []
var totalbit = 0
var check_evenodd = ""
var typeOfNumber = '';
var bidType=""
function SingleDetails() {
    window.onpopstate = function(event) {
        newarray = []
        totalbit = 0
        typeOfNumber = ""
        $('#staticBackdrop').hide()
        $('.modal-backdrop').remove()
        navigate(`/${process.env.USER}/evenodd`)
    }
    $(document).click(function (e) {
        if ($(e.target).is('#staticBackdrop')) {
            $('#staticBackdrop').fadeOut(250);
            $('.modal-backdrop').remove()
        }
    
    });
    const inputEl = useRef(null);
    const location = useLocation();
    let sessionData = sessionStorage.getItem('userProfileData');
    const reqSessionData = JSON.parse(sessionData);
    const [walletBalance, setWalletBalance] = useState([]);
    let [walletupdate, setWalletUpdate] = useState('');
    const Input = props => <components.Input {...props} maxLength={1} type="tel" />;
    const [token, setToken] = useState(reqSessionData.unique_token)
    const [startDate, setStartDate] = useState(new Date());
    const [endDate, setEndDate] = useState(new Date());
    const [singleDigit, setsingleDigit] = useState(helper.getGameArray(1));
    const [value, setValue] = useState("0");
    const [bid, setSelectBid] = useState('');
    const [EvenOddArray, setEvenOddArray] = useState('');
    const [numberType, setnumberType] = useState('even');
     
    let item_bid = 0;
    let numbertype = 'even';
    const [bidErr, setSelectBidErr] = useState('');
    const [point, setPoint] = useState('');
    const [pointErr, setPointErr] = useState('');
    const [open_time, setopen_point] = useState(location.state.open_time);
    const [close_time, setclose_point] = useState(location.state.close_time);
    const [game_id, setgame_id] = useState(location.state.game_id);
    const [game_name, setgame_name] = useState(location.state.game_name);
    const [game_status, setGameStatus] = useState('');
    const [status_prop, setStatusProp] = useState('Open');
    helper.gameStatus(1,token,game_id).then((data)=>{
        setGameStatus(data.game_status)
        if(game_status == 1){
            numbertype = ''
            $("#openRadio").attr("checked", true)
        }else if(game_status == 2){
            numbertype = 'even'
            setStatusProp('Close')
            $("#closeRadio").attr("checked", true)
            $("#openRadio").attr("disabled", true)
        }
    })
    check_evenodd = $('input[name=evenodd]:checked').attr("data-type")
    if(check_evenodd == 'even' || check_evenodd == undefined){
        $("#evenRadio").attr("checked", true);
        numbertype = 'even';
    }
    if(check_evenodd == 'odd'){
        $("#oddRadio").attr("checked", true);
        numbertype = 'odd';
    }
    const selectNumber = (e, name) => {
        const data = {};
        data[name] = e.value;
        $('.css-qc6sy-singleValue').html(e.value);
        switch (name) {
            case 'select_data':
                setSelectBid(data.select_data)
        }
    }
    const Point = (e, name_point) => {
        const user = {};
        user[name_point] = e.target.value;
        let format = /[ `!@#$%^&*()_+\-=\[\]{};':"\\|,.<>\/?~]/;
        switch (name_point) {
            case 'point':     
                setPoint(user.point)
                if (user.point.trim() == "") {
                    setPointErr('Points Required')
                }else if(format.test(user.point) ){
                    setPointErr('Invalid Amount')
                }else if (Number(user.point) < Number(walletBalance.min_bid_amt)){
                    setPointErr(`Min ${walletBalance.min_bid_amt} Pts`)
                }else if (Number(point) > Number(walletupdate)) {
                    setPointErr('Insufficient Amount')
                }
                else if (Number(user.point) > Number(walletBalance.max_bid_amt) ){
                    setPointErr(`Max ${walletBalance.max_bid_amt}`)
                }
                else {
                    setPointErr('');
                }
                break;
                default: break;
        }
    }

    $(".removediv").unbind().click(function() {
        $(this).prop("disabled",true)
        let data_index = $(this).attr('data-id');
        let data_bid = $(this).attr('data-bid');
        let data_point = $(this).attr('data-point');
        if(newarray[data_index] != undefined){
            setWalletUpdate(Number(data_point) + Number(walletupdate));
            $(this).parents('.bottom-child-bottom-parent').find('.bottom-child-bottom').animate({
                padding: "0px",
                'margin-top':'-80px',
                'font-size': "0px"
            }, 500, function() {
                    
                $(this).parents('.bottom-child-bottom-parent').find('.bottom-child-bottom').remove()  
            });
            delete newarray[data_index]
            checkstatusDisabled()
        }
        $(this).prop("disabled",false)
    });
    const convert = (str) => {
        var date = new Date(str),
            mnth = ("0" + (date.getMonth() + 1)).slice(-2),
            day = ("0" + date.getDate()).slice(-2);
        return [day, mnth, date.getFullYear()].join("/");
    }
    const getEvenArray = async (digit_type,bid_amount) => {
        try {
            const data = { env_type: 1, unique_token: token, digit_type:digit_type ,bid_amount:bid_amount}
            const encKey = helper.randomString(32);
            var mykey = encKey.match(/.{1,8}/g)
            var myKey1 = helper.changeAlphaString(mykey[1], -3)
            var myKey2 = helper.changeAlphaString(mykey[3], -3)
            var original_key = mykey[0] + myKey1 + mykey[2] + myKey2
            const reqdata = helper.EncrptDecryptApiData(data, encKey, 1);
            const walletBal = `{"reqdata" : "${reqdata}","reqkey":"${original_key}"}`
            let walletBalanceDatas = await fetch(process.env.APIURL + "/get-odd-even-number", {
                method: 'POST',
                headers: {
                    "Content-Type": "application/json",
                    "Accept": "application/json",
                    "Origin": process.env.BASEURL
                },
                body: walletBal
            });
            const actualData = await walletBalanceDatas.json();
            return actualData
            setEvenOddArray(actualData)
        } catch (err) {
            console.log("Your Error is", err);
        }
    }
    const getBalanceData = async () => {
        try {
            const data = { env_type: 1, unique_token: token }
            const encKey = helper.randomString(32);
            var mykey = encKey.match(/.{1,8}/g)
            var myKey1 = helper.changeAlphaString(mykey[1], -3)
            var myKey2 = helper.changeAlphaString(mykey[3], -3)
            var original_key = mykey[0] + myKey1 + mykey[2] + myKey2

            const reqdata = helper.EncrptDecryptApiData(data, encKey, 1);
            const walletBal = `{"reqdata" : "${reqdata}","reqkey":"${original_key}"}`
            let walletBalanceDatas = await fetch(process.env.APIURL + "/get-user-wallet-balance", {
                method: 'POST',
                headers: {
                    "Content-Type": "application/json",
                    "Accept": "application/json",
                    "Origin": process.env.BASEURL
                },
                body: walletBal
            });
            const actualData = await walletBalanceDatas.json();
            const responseData = actualData.resData;
            const responseKey = actualData.resKey;
            var mykey = responseKey.match(/.{1,8}/g)
            var myKey1 = helper.changeAlphaString(mykey[1], -3)
            var myKey2 = helper.changeAlphaString(mykey[3], -3)
            var original_key = mykey[0] + myKey1 + mykey[2] + myKey2
            const walletBalances = JSON.parse(helper.EncrptDecryptApiData(responseData, original_key, 2));

            setWalletBalance(walletBalances);
            setWalletUpdate(walletBalances.wallet_balance)
        } catch (err) {
            console.log("Your Error is", err);
        }
    }
    useEffect(() => {
        getBalanceData();
    }, []);
    function checkstatusDisabled(){
        if (newarray.filter(Boolean).length > 0) {
            $("#closeRadio").attr("disabled", true)
            $("#openRadio").attr("disabled", true)
        } else {
            document.getElementById("submitbutton").style.display = "none";
            $("#closeRadio").attr("disabled", false)
            $("#openRadio").attr("disabled", false)
        }
    }
    let reduceAmount = point
    var newUpdatedBalance = walletupdate
    const cardGenerate = (e) => {
        if(check_evenodd == 'even' || check_evenodd == undefined){
            $("#evenRadio").attr("checked", true);
            numbertype = 'even';
        }
        if(check_evenodd == 'odd'){
            $("#evenRadio").attr("checked", false);
            $("#oddRadio").attr("checked", true);
            numbertype = 'odd';
        }
        let format = /[ `!@#$%^&*()_+\-=\[\]{};':"\\|,.<>\/?~]/;
        if ((point != '') && (point.length >= 2) && (point <= Number(walletupdate)) && (!format.test(point)) && (point >= Number(walletBalance.min_bid_amt)) && (point <= Number(walletBalance.max_bid_amt))) {
            getEvenArray(numberType,point).then((data)=>{
                if (newarray.filter(Boolean).length > 0) {
                    $("#closeRadio").attr("disabled", false)
                    $("#openRadio").attr("disabled", false)
                } else {
                    $("#closeRadio").attr("disabled", true)
                    $("#openRadio").attr("disabled", true)
                }
            newarray = [];
            if ((point != '')) {
                var dataAppend = ""
                for(let item in data.resData){
                    let cardObj = {}
                    cardObj.session = status_prop
                    cardObj.digits = data.resData[item]
                    cardObj.closedigits = ''
                    cardObj.points = point
                    newarray.push(cardObj)
                    totalbit += +point
                    dataAppend += ` <div class='bottom-child-bottom-parent'>
                                        <div class='bottom-child-bottom'>
                                            <div class='card-body'>
                                                <div class='card-body-child'>
                                                    <div class='sub-part'>
                                                        <div class='digit-section'>
                                                            ${status_prop} Digit  :-
                                                        </div>
                                                        <div class='digit-section-api'>
                                                            ${data.resData[item]} 
                                                        </div>
                                                    </div>
                                                    <div class='sub-part'>
                                                        <div class='digit-section'>
                                                            Points  :-
                                                        </div>
                                                        <div class='digit-section-api'>
                                                            ${point}
                                                        </div>
                                                    </div>
                                                    <div class='sub-part-delete'>
                                                        <div class='remove-card' >
                                                            <button class="removediv"  data-id=${item} data-point=${point} data-bid=${data.resData[item]}><svg xmlns="http://www.w3.org/2000/svg" width="20" height="20" color="red" fill="currentColor" class="bi bi-trash" viewBox="0 0 16 16">
                                                            <path d="M5.5 5.5A.5.5 0 0 1 6 6v6a.5.5 0 0 1-1 0V6a.5.5 0 0 1 .5-.5zm2.5 0a.5.5 0 0 1 .5.5v6a.5.5 0 0 1-1 0V6a.5.5 0 0 1 .5-.5zm3 .5a.5.5 0 0 0-1 0v6a.5.5 0 0 0 1 0V6z"/>
                                                            <path fill-rule="evenodd" d="M14.5 3a1 1 0 0 1-1 1H13v9a2 2 0 0 1-2 2H5a2 2 0 0 1-2-2V4h-.5a1 1 0 0 1-1-1V2a1 1 0 0 1 1-1H6a1 1 0 0 1 1-1h2a1 1 0 0 1 1 1h3.5a1 1 0 0 1 1 1v1zM4.118 4 4 4.059V13a1 1 0 0 0 1 1h6a1 1 0 0 0 1-1V4.059L11.882 4H4.118zM2.5 3V2h11v1h-11z"/>
                                                            </svg> </button>
                                                        </div>
                                                    </div>

                                                </div>

                                            </div>
                                        </div>
                                    </div>`;
                }
                $("#data-bid").html(dataAppend)
                $('.valid_point').val('');
                $("input[name=evenodd]").val('');
                if(data.status == true){
                    setWalletUpdate(data.wallet_balance);
                }
                document.getElementById("submitbutton").style.display = "flex";
                setPoint('')
                setSelectBid('')
                setSelectBidErr('')
                $('.css-qc6sy-singleValue').html('Select...');
            } else {
                if (bid.trim() == '') {
                    setSelectBidErr('Please enter number');
                } else if (point.trim() == "") {
                    setPointErr("Points required");
                }
                else if (point.trim() < walletBalance.min_bid_amt) {
                    setPointErr(`Min ${walletBalance.min_bid_amt} Pts`);
                }
                else if (point.trim() > walletupdate) {
                    setPointErr('Insufficient Amount')
                    setPoint('')
                } else if (point.trim() > walletBalance.max_bid_amount) {
                    setPointErr(`Max ${walletBalance.max_bid_amt} Pts`);
                    setPoint('')
                }else if(format.test(point) ){
                    setPointErr('Invalid Amount')
                }
                return false;
            }
            })

        } else {
             if (point.trim() == "") {
                setPointErr("Points required");
            }
            else if (point.trim() < walletBalance.min_bid_amt) {
                setPointErr(`Min ${walletBalance.min_bid_amt} Pts`);
            }
            else if (point.trim() > walletupdate) {
                setPointErr('Insufficient Amount')
                setPoint('')
            } else if (point.trim() > walletBalance.max_bid_amount) {
                setPointErr(`Max ${walletBalance.max_bid_amt} Pts`);
                setPoint('')
            }else if(format.test(point) ){
                setPointErr('Invalid Amount')
            }
        }
    }
    const submitGames = async (e) => {

        try {
            const data =
            {
                env_type: "1",
                unique_token: token,
                new_result:
                {
                    Gamename: location.state.main_games,
                    totalbit: totalbit,
                    gameid: game_id,
                    pana: "Single Digit",
                    second_pana:numberType=="even"?"Even Digit":"Odd Digit",
                    bid_date: walletBalance.cur_date,
                    session: status_prop,
                    result: newarray.filter(Boolean)
                }
            }
            const encKey = helper.randomString(32);
            var mykey = encKey.match(/.{1,8}/g)
            var myKey1 = helper.changeAlphaString(mykey[1], -3)
            var myKey2 = helper.changeAlphaString(mykey[3], -3)
            var original_key = mykey[0] + myKey1 + mykey[2] + myKey2

            const reqdata = helper.EncrptDecryptApiData(data, encKey, 1);
            const walletBal = `{"reqdata" : "${reqdata}","reqkey":"${original_key}"}`
            let walletBalanceDatas = await fetch(process.env.APIURL + "/user-submit-bid", {
                method: 'POST',
                headers: {
                    "Content-Type": "application/json",
                    "Accept": "application/json",
                    "Origin": process.env.BASEURL
                },
                body: walletBal
            });
            const actualData = await walletBalanceDatas.json();
            toast(actualData.message);
            $('#alertbox').hide()
            $('.modal-backdrop').remove();
            $("#data-bid").html("")
            document.getElementById("submitbutton").style.display = "none";
            $("#data-bid").html("");
            newarray = []
            $('.css-qc6sy-singleValue').html('Select...');
        } catch (err) {
            console.log("Your Error is", err);
        }

    }
    function checkBox(e, name) {
        if (name == "close") {
            bidType = "Close Digit"
            setStatusProp("Close")
            $("#digit").html('Close Digit')
            $("#closeRadio").attr("checked", true)
        }   else {
            $("#digit").html('Open Digit')
            $("#openRadio").attr("checked", true)
            bidType = "Open Digit"
            setStatusProp("Open")
        }
    }
    function checkBocheckEvenOddx(e, type) {
        if (type == "even") {
            $("#evenRadio").attr("checked", true)
            setnumberType('even')
        } else {
            $("#oddRadio").attr("checked", true)
            setnumberType('odd')
        }
    }
    function clear() {
        $("#data-bid").html("");
        newarray = []
        totalbit = 0;               
        typeOfNumber = '';
    }
    // console.log()
    return (
        <>
            <Helmet>
                <title>Matka</title>
                <meta name="viewport" content="width=device-width; initial-scale=1; maximum-scale=1.0;" />
            </Helmet>


            <div class="col-sm-4 m-auto">

                <div className='container-details'>
                    <div className='resposive'>
                        <div className='container-child-upper'>
                            <div className='header'>
                                <NavLink exact to={`/${process.env.USER}/game`} onClick={clear} state={{ game_name: location.state.main_games, game_id: location.state.game_id, open_time: location.state.open_time, close_time: location.state.close_time }} className='back-arrow'>
                                    <img src={backArrow} alt="back-arrow" class="w-50" />
                                </NavLink>
                                <div className='header-text '>
                                    Even Odd
                                </div>                               
                                <div className='profile-icon'>
                                    <img src={wallet} alt="profile" />
                                    <div className='text'>
                                        {walletupdate}
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div className='container-child-bottom'>
                            <div className='bottom-child-upper'>
                                <div className='main-body'>
                                    <form id="resetBid">
                                        <div className='upper-body'>
                                            <div className='upper'>
                                                <div className='upper-upper'>
                                                    Date
                                                </div>
                                                <div className='upper-bottom'>
                                                    <input type="text" id="start" name="trip-start"
                                                        value={convert(startDate)} disabled />
                                                  </div>

                                            </div>
                                            <div className='bottom'>
                                                <div className='bottom-upper'>
                                                    Choose Session
                                                </div>
                                                <div className='bottom-bottom mt-1'>
                                                    <div className='main-bottom'>
                                                        <div className='col-12 row'>
                                                            <div className='col-6 d-flex '>
                                                                <input type="radio" className='input-radio' id="openRadio" name="open" onClick={(e) => checkBox(e, 'open')} /><span className="radioSet">Open</span>
                                                            </div>
                                                            <div className='col-6 d-flex'>
                                                                <input type="radio" className='input-radio' id="closeRadio" name="open" onClick={(e) => checkBox(e, 'close')} /><span className="radioSet">Close</span>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                            
                                        <div className='bottom'>
                                            <div className='bottom-upper d-flex'>
                                                <span>Choose Number</span>
                                                <a data-bs-toggle="modal" data-bs-target="#staticBackdrop">
                                                <div style={{margin: "0px 0px 5px -16px"}}>
                                                    <i className="icons"><InfoIcon fontSize="small" /></i>
                                                </div></a>
                                            </div>
                                            <div className='bottom-bottom mt-1'>
                                                <div className='main-bottom'>
                                                    <div className='col-12 row'>
                                                        <div className='col-6 d-flex '>
                                                            <input type="radio" className='input-radio' data-type ="even" id="evenRadio" name="evenodd" onClick={(e) => checkBocheckEvenOddx(e, 'even')}  /><span className="radioSet">Even</span>
                                                        </div>
                                                        <div className='col-6 d-flex'>
                                                            <input type="radio" className='input-radio' data-type ="odd" id="closeRadio" name="evenodd" onClick={(e) => checkBocheckEvenOddx(e, 'odd')} /><span className="radioSet">Odd</span>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                        <div className='bottom '>
                                            <div className='bottom-upper'>
                                                Points
                                            </div>
                                            <div className='bottom-bottom'>
                                                <input id="clearvalid" type="number" className={classnames("form-control only_number valid_point", { 'is-invalid': pointErr, 'is-valid': !pointErr && point.length > 1 })} placeholder='Enter Points' onChange={(e) => Point(e, 'point')} name="point" />
                                            </div>
                                        </div>
                                        {pointErr && <small className="text-danger message">{pointErr}</small>}
                                        </div>
                                        <div className='bottom-body mt-4'>
                                            <div className='button target-button' onClick={cardGenerate}>
                                                PROCEED
                                            </div>
                                            <div id="submitbutton" style={{ display: "none" }} className='button target-button' data-bs-toggle="modal" data-bs-target="#alertbox" >
                                                SUBMIT
                                            </div>
                                        </div>
                                    </form>
                                </div>

                            </div>
                            <div className='bottom-child-bottom'>

                            </div>
                        </div>
                    </div>

                </div>




            </div>

            <div className="data-bid" id="data-bid" style={{overflowY:"scroll", height:"34%"}}>
            </div>

            <div className="modal fade" id="alertbox" data-bs-backdrop="static" data-bs-keyboard="false" tabIndex="-1" aria-labelledby="paytmLabel" aria-hidden="true">
                <div className="modal-dialog modal-dialog-centered">
                    <div className="modal-content ">
                        <div className="modal-header m-auto text-center border-0">
                            <h5 className="modal-title" id="staticBackdropLabel">Place Bid Alert!</h5>
                        </div>
                        <div className="modal-body text-left">
                            <div className="p-1">
                                <h6>Once you Placed a Bid You Can't cancel it do you want to place..?</h6>

                            </div>
                        </div>
                        <div className="modal-footer border-0">
                            <button type="button" className="btn btn-dark" style={{ fontWeight: "bold" }} data-bs-dismiss="modal">Close</button>
                            <button type="button" onClick={(e) => submitGames(e)} className="btn btn-dark" style={{ fontWeight: "bold" }} >Submit</button>
                        </div>
                    </div>
                </div>
            </div>
            <ToastContainer
                position="bottom-center"
                autoClose={3000}
                hideProgressBar={false}
                newestOnTop={false}
                closeOnClick
                rtl={false}
                pauseOnFocusLoss
                draggable={true}
                limit={1}
                pauseOnHover
                theme="dark"
                draggablePercent={60}
            />
             <div className="modal fade" id="staticBackdrop" data-bs-backdrop="static" data-bs-keyboard="false" tabIndex="-1" aria-labelledby="staticBackdropLabel" aria-hidden="true" >
                <div className="modal-dialog modal-dialog-centered">
                    <div className="modal-content">
                        {/* <button type="button" className="btn btn-dark" style={{ fontWeight: "bold" }} data-bs-dismiss="modal">X</button> */}
                        {/* <button type="button" class="close close-info" data-bs-dismiss="modal" aria-hidden="true">&times;</button> */}
                        <div className="modal-body custom-modal-style text-left">
                            <div className="p-1">
                                <h6 className="gametype-heading">Even Number</h6> 
                                <p className='gametype-content-up justify-content-space-between'>0, 2, 4, 6, 8</p>
                                <hr className='m-0 p-0' style={{color:'#FFC000',size:"20",opacity:"2.5",height:"1.5px"}}></hr>
                                <h6 className="gametype-heading">Odd Number</h6> 
                                <p className='gametype-content-down justify-content-space-between'>1, 3, 5, 7, 9</p>
                            </div>
                            </div>
                        </div>
                    </div>
                </div>
        </>
    )
}

export default SingleDetails;